package com.yihu.ehr.resource.job;

import com.yihu.ehr.resource.service.TextSearchService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class HotWordsTask {


    @Autowired
    private TextSearchService textSearchService;
    @Autowired
    private RedisTemplate redisTemplate;

    private static final String LOCK = "SYSN_HOTWORDS_LOCK";

    private static final String KEY = "SYSN_HOTWORDS_KEY";

    @Scheduled(cron = "0 0 1 * * ?")
    private void startTask(){
        boolean lock = false;
        try {
            lock = redisTemplate.opsForValue().setIfAbsent(KEY, LOCK);
            if (lock) {
                textSearchService.synRedisHotWords(1);
            }
        } finally {
            if (lock) {
                redisTemplate.delete(KEY);
            }
        }

    }

}
